//CUP303J1 JOB (SIMOTIME),'VSAM KSDS COMPARE',CLASS=1,MSGCLASS=0,
//             NOTIFY=CSIP1
//* *******************************************************************
//*       CUP303J1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Compare two VSAM Key-Sequenced-Data-Sets (KSDS).
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This example will do a compare of part of the records in the
//* data set. The actual record length is 512 bytes but the compare
//* will only compare the first 303 positions of a record.
//*
//* Since the files are in sequence by the key-field the program
//* will explicity identify deleted or added records.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Technologies.
//*
//*                     ************
//*                     * CUP303J1 *
//*                     ********jcl*
//*                          *
//*    ************     ************     ************
//*    * CUEXPECT *--*--* CUP303C1 *-----*  SYSLOG  *
//*    *******ksds*  *  ********cbl*     ************
//*                  *       *
//*    ************  *       *
//*    * CUACTUAL *--*       *
//*    *******ksds*          *
//*                          *
//*                     ************
//*                     *   EOJ    *
//*                     ************
//*
//* *******************************************************************
//* Compare two VSAM KSDS's or Customer Master Files...
//* The positions within the records to be compared are determined by
//* the COMPARE statements in the Process Control File. This is done
//* when the compare program is generated.
//*
//* The results of the compare processing is posted to the SYSLOG File.
//* The results file must exist and new information is appended to the
//* end of the file. For more information about how to create an empty
//* log file (SYSOUT) refer to the SYSLOGJ8.JCL Member.
//*
//CUSTCOMP EXEC PGM=CUP303C1
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//CUEXPECT DD  DSN=SIMOTIME.DATA.CUSTMAST,DISP=SHR
//CUACTUAL DD  DSN=SIMOTIME.DATA.CUS512D2,DISP=SHR
//SYSLOG   DD  SYSOUT=*
//SYSOUT   DD  SYSOUT=*
//
